package adminkindboxservice

import (
	"context"

	param "git.gocasts.ir/ebhomengo/niki/param/admin/kind_box"
	richerror "git.gocasts.ir/ebhomengo/niki/pkg/rich_error"
)

func (s Service) Get(ctx context.Context, req param.KindBoxGetRequest) (param.KindBoxGetResponse, error) {
	const op = "adminkindboxservice.Get"
	if fieldErrors, vErr := s.vld.ValidateGetRequest(ctx, req); vErr != nil {
		return param.KindBoxGetResponse{FieldErrors: fieldErrors}, richerror.New(op).WithErr(vErr)
	}
	kindBox, err := s.repo.GetKindBox(ctx, req.KindBoxID)
	if err != nil {
		return param.KindBoxGetResponse{}, richerror.New(op).WithErr(err)
	}

	return param.KindBoxGetResponse{KindBox: kindBox}, nil
}
